/**************************************************************************
 *   HEADER FILE : LOS.H - main header file which includes all others
 *
 *   AUTHOR      : Kevin Russo, SAIC
 *
 *   Change     Date          Reason
 *   ------     ----          ------
 *   Original   01 Apr 93     n/a
 *
 **************************************************************************/

/**************************************************************************
 *                        XVT Include Files
 **************************************************************************/
#if 0
#define XVT_R3_FONT 1
#include "xvt.h"
#include "xvtmenu.h"
#endif

#include "noxvt.h"

/**************************************************************************
 *                        MUSE Include Files
 **************************************************************************/

#include "muse.h"

/**************************************************************************
 *                  LOS Resource Definition Include File
 **************************************************************************/

#include "losrsrc.h"

/**************************************************************************
 *                      LOS Definition Include File
 **************************************************************************/

#include "losdefs.h"

/**************************************************************************
 *                  LOS Function Prototype Include File
 **************************************************************************/

#include "losfunc.h"

/*  object types for help association code  */
typedef enum
{
        xd_ILLEGAL,             /*  illegal object type  */
        xd_CNTR,                /*  container (window or dialog  */
        xd_CTRL,                /*  standard control  */
        xd_MENU                 /*  menu item  */
} xd_OBJ_TYPE;

#if 0 
extern XVT_HELP_INFO xdGetHelpInfo XVT_CC_ARGS(( void ));
extern void xdSetHelpAssoc XVT_CC_ARGS((
                WINDOW  container,
                long  obj_id,
                long  topic_id,
                xd_OBJ_TYPE  obj_type ));
extern void xdRemoveHelpAssoc XVT_CC_ARGS(( WINDOW  xdWindow ));
#endif
